Bug 951379 - License tag is missing and non-free/unclear license
License tag is missing and non-free/unclear license
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: mscore (Show other bugs)
18
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Brendan Jones
Fedora Extras Quality Assurance
:
Depends On:
Blocks: FE-Legal
  Show dependency treegraph
 
Reported: 2013-04-12 03:47 EDT by mejiko
Modified: 2013-04-20 15:14 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-04-20 15:14:23 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description mejiko 2013-04-12 03:47:04 EDT
Hello.

Musescore included non-free/unclear score example.
example must licensed under GPL. (default license is GPL, See Reference URI)

and license tag is missing.


Non-free/unclear Files:


mscore-1.2/mscore/demos/prelude.mscx 

This original score licensed under CC-BY-NC-SA. 
Its non-free. (I think)

License URI: http://linux-sound.org/dlp-music-lilypond/sonatina/prelude/prelude.html


mscore-1.2/mscore/demos/PlanxtyCarolan.mscx

no license infomation. (I checked changelog, this file added version 0.9.2 or later) I think that this file license is GPL, but unclear.



Missing license tag file:


mscore-1.2/mscore/demos/Reunion.mscz

License: CC-BY 3.0



Suggests:

1. Remove non-free example and rebuild, and add license tag.

2. Replace Fedora free (Acceptable licensed under) files, and add license tag.

3. Remove Fedora repo.

Thanks.


Reference:

http://musescore.org/cla
http://musescore.org/en/about/license-policy
http://dev-list.musescore.org/About-the-MuseScore-CLA-td7577488.html
http://musescore.org/en/node/11019
https://fedoraproject.org/wiki/Licensing:Main?rd=Licensing
https://fedoraproject.org/wiki/Packaging:Guidelines#Code_Vs_Content
Comment 1 mejiko 2013-04-12 03:47:38 EDT
Blocking FE-Legal, This is license problem.
Comment 2 Fedora Update System 2013-04-12 15:01:03 EDT
mscore-1.3-2.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/mscore-1.3-2.fc19
Comment 3 Fedora Update System 2013-04-13 13:10:29 EDT
Package mscore-1.3-2.fc19:
* should fix your issue,
* was pushed to the Fedora 19 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing mscore-1.3-2.fc19'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2013-5587/mscore-1.3-2.fc19
then log in and leave karma (feedback).
Comment 4 Fedora Update System 2013-04-20 15:14:26 EDT
mscore-1.3-2.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.